<?php

namespace App\Http\Controllers\Api\V1\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\StoreKunjunganRequest;
use App\Http\Requests\UpdateKunjunganRequest;
use App\Kunjungan;

class KunjunganApiController extends Controller
{
    public function index()
    {
        $kunjungans = Kunjungan::all();

        return $kunjungans;
    }

    public function store(StoreKunjunganRequest $request)
    {
        return Kunjungan::create($request->all());
    }

    public function update(UpdateKunjunganRequest $request, Kunjungan $kunjungan)
    {
        return $kunjungan->update($request->all());
    }

    public function show(Kunjungan $kunjungan)
    {
        return $kunjungan;
    }

    public function destroy(Kunjungan $kunjungan)
    {
        return $kunjungan->delete();
    }
}
